<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BC04-Group 8-Capstone-API Axios-Phone Shop</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />

    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/all.min.css"
      integrity="sha512-1sCRPdkRXhBV2PBLUdRb4tMg1w2YPf37qatUFeS7zlBy7jJI8Lf4VHwWfZZfpXtYSLy85pkm9GaYVYMfw5BC1A=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <!-- CSS for page USER -->
    <link rel="stylesheet" href="./index.css" />
  </head>

  <body>
    <!-- Trần Quốc Việt -->
    <!-- start loading -->
    <div id="loading">
      <div class="spinner-border text-primary" role="status">
        <span class="sr-only">Loading...</span>
      </div>

      <div class="d-flex">
        <div class="spinner-border text-danger mr-3" role="status">
          <span class="sr-only">Loading...</span>
        </div>

        <div class="spinner-border text-warning" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
    </div>
    <!-- end loading -->

    <header>
      <div class="container mb-5">
        <nav class="navbar sticky-top navbar-dark bg-primary">
          <div>
            <p><a class="navbar-brand" href="#">The Crowded World</a></p>
            <h6 class="text-light">
              Thế Giới Đông Dị
              <span class="text-secondary">
                - Một đối thủ cạnh tranh với Thế Giới Di Động</span
              >
            </h6>
          </div>
          <div class="shop_cart" data-toggle="modal" data-target="#cart">
            <a href="#">
              <i class="fa fa-shopping-cart text-white display-4"></i>
            </a>
            <span id="cartNum">Shopping===></span>
          </div>
        </nav>
      </div>
    </header>

    <section class="shop_cart">
      <div class="container">
        <div id="cart" class="modal fade">
          <div class="modal-dialog modal-xl">
            <div class="modal-content">
              <table class="table bg-light">
                <thead>
                  <tr>
                    <td>Name</td>
                    <td>Price</td>
                    <td>Image</td>
                    <td>Amount</td>
                    <td>Estimate</td>
                  </tr>
                </thead>

                <tbody id="cartTbody"></tbody>

                <tfoot>
                  <tr>
                    <td>
                      <button
                        onclick="clearCart()"
                        class="btn btn-outline-secondary"
                      >
                        Clear cart
                      </button>
                    </td>
                    <td colspan="2"></td>
                    <td>Total</td>
                    <td id="totalCharge"></td>
                    <td>
                      <button
                        id="btnPurchase"
                        data-toggle="modal"
                        data-target="#purchase"
                        class="btn btn-success"
                        onclick="purchase()"
                      >
                        Purchase
                      </button>
                    </td>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>

        <div id="purchase" class="modal fade">
          <div class="modal-dialog">
            <div class="modal-content bg-light p-5">
              <p class="display-4">
                Total amount to pay
                <span class="text-danger" id="totalPay"></span>
              </p>
              <button
                data-toggle="modal"
                data-target="#happyShopping"
                onclick="clearCart()"
                class="btn btn-success"
                data-dismiss="modal"
              >
                PAY NOW
              </button>
              <button
                class="btn btn-outline-secondary mt-3"
                data-dismiss="modal"
              >
                Cancel
              </button>
            </div>
          </div>
        </div>

        <div id="happyShopping" class="modal fade">
          <div class="modal-dialog">
            <div class="bg-success p-5">
              <p class="display-4 text-danger">Thanks for shopping with us!</p>
              <p class="display-4 text-white">Have a nice day Beautiful !</p>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section class="phone_list">
      <div class="container">
        <div class="filter_phone">
          <div class="form-group form-inline">
            <label for="">Filter by brandname</label>
            <select
              class="form-control"
              onchange="filterPhone()"
              id="filterPhone"
            >
              <option>Select brand</option>
              <option value="iphone">Iphone</option>
              <option value="samsung">Samsung</option>
            </select>
          </div>
        </div>

        <div class="phone_items d-flex" id="phoneItems"></div>
      </div>
    </section>



    <!-- Trần Nhật Anh -->


    
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>

    <!-- Axios -->
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"
      integrity="sha512-odNmoc1XJy5x1TMVMdC7EMs3IVdItLPlCeL5vSUPN2llYKMJ2eByTTAIiiuqLg+GdNr9hF6z81p27DArRFKT7A=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>

    <!-- Trần Quốc Việt -->
    <script type="module" src="./index.js"></script>

    <!-- Trần Nhật Anh -->
  </body>
</html>
